
Foreman - Bug #21434

Compute Resource's Associate VMs associates ALL accessible VMs in VCenter not just the ones in

this Datacenter

10/23/2017 05:07 PM - Daniel Kimsey

Status: New   

Priority: Normal   

Assignee: Chris Roberts   

Category: Compute resources - VMware   

Target version:    

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases: 1.15.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I created a Compute Resource, named after the corresponding Datacenter "Elk Dev". The user/account I provided has access to

other Datacenters at the VCenter.

After creation, I select Associate VMs.

The Virtual Machines tabs correctly shows only VMs in the Elk Dev datacenter.

However, the Hosts page shows every VM in this VCenter to now be linked to Elk Dev, even though their cluster's are Elk Production

and Elk Corp.

As a user I expected the Associate VMs to only associate VMs in my Datacenter "Elk Dev", not all accessible Datacenters from the

given VCenter url.

This came about as we were setting up provisioning. The side-effect of associating all VMs resulted in someone deleting a

production VM by accident.

History

#1 - 08/01/2018 04:53 PM - Chris Roberts

- Assignee set to Chris Roberts

- Target version set to 1.20.0

- Difficulty set to medium

- Triaged changed from No to Yes

#2 - 09/25/2018 08:04 AM - Alexandre Barth

I can confirm this : https://projects.theforeman.org/issues/15626

#3 - 10/15/2018 11:58 AM - Tomer Brisker

- Target version deleted (1.20.0)
